## hb-directwrite hb-directwrite — DirectWrite integration |

## Functions

hb_face_t * | hb_directwrite_face_create ()
IDWriteFontFace * | hb_directwrite_face_get_dw_font_face ()
hb_font_t * | hb_directwrite_font_create ()
IDWriteFont * | hb_directwrite_font_get_dw_font ()

## Includes

    #include <hb-directwrite.h>

## Description

Functions for using HarfBuzz with DirectWrite fonts.

## Functions

### hb_directwrite_face_create ()

    hb_face_t *
    hb_directwrite_face_create (IDWriteFontFace *dw_face);

Constructs a new face object from the specified DirectWrite IDWriteFontFace.

#### Parameters

dw_face | a DirectWrite IDWriteFontFace object. |

#### Returns

hb_face_t object corresponding to the given input

Since: 2.4.0

### hb_directwrite_face_get_dw_font_face ()

    IDWriteFontFace *
    hb_directwrite_face_get_dw_font_face (hb_face_t *face);

Gets the DirectWrite IDWriteFontFace associated with `face` .

#### Parameters

face | a hb_face_t object |

#### Returns

DirectWrite IDWriteFontFace object corresponding to the given input

Since: 10.4.0

### hb_directwrite_font_create ()

    hb_font_t *
    hb_directwrite_font_create (IDWriteFont *dw_font);

Constructs a new font object from the specified DirectWrite IDWriteFont.

#### Parameters

dw_font | a DirectWrite IDWriteFont object. |

#### Returns

hb_font_t object corresponding to the given input

Since: 10.3.0

### hb_directwrite_font_get_dw_font ()

    IDWriteFont *
    hb_directwrite_font_get_dw_font (hb_font_t *font);

Gets the DirectWrite IDWriteFont associated with `font` .

#### Parameters

font | a hb_font_t object |

#### Returns

DirectWrite IDWriteFont object corresponding to the given input

Since: 10.3.0